import { NativescriptEsdcCommon } from './common';
export declare class NativescriptEsdc extends NativescriptEsdcCommon {
    chooseCertificate(options: Options): Promise<SdcResult>;
    verifyPin(pin: string, options: Options): Promise<SdcResult>;
    createInvoice(invoice: Invoice, options: Options): Promise<SdcResult>;
    getInvoice(requestId: string, options: Options): Promise<SdcResult>;
    getEnvironmentParameters(options: Options): Promise<SdcResult>;
    getStatus(options: Options): Promise<SdcResult>;
    getAttention(options: Options): Promise<SdcResult>;
    getUiData(options: Options): Promise<SdcResult>;
    storeLocalAuditFiles(options: Options): Promise<SdcResult>;
    executeCommandsFromStorage(options: Options): Promise<SdcResult>;
    getSdcInstance(options: any): any;
}
